Clear Filters
Clear Filters

Failure to install nnpy and nanomsg libraries for Raspberry Pi hardware setup

77 views (last 30 days)
Hello,
I'm trying to setup my raspberry pi via matlab's raspberry pi hardware support package. However, I'm unable to install the py-nanomsg and the nnpy libraries either through the setup prompt or via the terminal in the raspberry pi OS. I'm wondering if anyone has encountered similar issue? It seems like matlab would not establish proper connection with the board without these two libraries.
  5 Comments
Suman
Suman on 13 Feb 2024
Hi Ashley,
Could you please tell me which version of the Raspberry Pi OS are you using?

Sign in to comment.

Answers (1)

MathWorks MATLAB Hardware Team
Hi,
Could you verify the operating system installed on your device? You can obtain this information by running the following command in the Raspberry Pi's terminal:
$ lsb_release -a
If the result displays "Bookworm," please note that the MATLAB Support Package for Raspberry Pi Hardware currently does not support this operating system.
However, if "Buster" or "Bullseye" appears, I suggest repeat the hardware set up steps after restarting your Raspberry Pi.
For any additional help, please don't hesitate to reach out to us at:
Thanks,
MATLAB Hardware Team
MathWorks
  4 Comments
Steve Houghton
Steve Houghton on 12 Mar 2024
I have this issue too and can confirm when I ran the lsb_release -a cmd it did indeed report Bookworm - so that would seem to explain it. How can I get an alternate version that does work? Sorry if that's a daft question, but I don't know the answer!
MathWorks MATLAB Hardware Team
Please reimage the raspberry pi with buster or bullseye 32 bit image in order to use MATLAB Support package for raspberry pi

Sign in to comment.

Categories

Find more on MATLAB Support Package for Raspberry Pi Hardware in Help Center and File Exchange

Products


Release

R2023b

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!